Delete a test plan test case
DELETE
/testplantestcases/{id}Deletes a specific test case added for a test plan
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, TestPlanTestCasesApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new TestPlanTestCasesApi(config);
const result = await api.deleteTestPlanTestCase({ "id": 123, "project": 123});console.log(result);curl --request DELETE \ "https://api.testcollab.io/testplantestcases/123?token=$TESTCOLLAB_TOKEN&project=123"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id |
path | number | Yes | Test Plan Test Case ID |
project |
query | number | Yes | Project ID |
Response
Section titled “Response”200 — Test Plan Test Case deleted
{}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
403 |
Forbidden |